package com.pixelized.desktop.lwa.ui.navigation.screen.destination.gamemaster

import androidx.navigation.NavGraphBuilder
import androidx.navigation.NavHostController
import androidx.navigation.compose.composable
import com.pixelized.desktop.lwa.ui.screen.admin.alteration.list.GMAlterationPage

object GMAlterationDestination {
    private const val ROUTE = "GameMasterAlteration"

    fun baseRoute() = ROUTE
    fun navigationRoute() = ROUTE
}

fun NavGraphBuilder.composableGameMasterAlterationPage() {
    composable(
        route = GMAlterationDestination.baseRoute(),
    ) {
        GMAlterationPage()
    }
}

fun NavHostController.navigateToGameMasterAlterationPage() {
    val route = GMAlterationDestination.navigationRoute()
    navigate(route = route)
}